import wepy from '@wepy/core';
import Vuex from '@wepy/x';
import user from '@/store/user.js'
import task from '@/store/task.js'
import carport from '@/store/carport.js'
import restaurant from '@/store/restaurant.js'
import wifi from '@/store/wifi.js'
import home from '@/store/home.js'
import meetingroom from '@/store/meetingroom.js'
import company from '@/store/company'
import portrait from '@/store/portrait'
import officehome from '@/store/officehome'
import previewImage from '@/store/previewImage'
import location from '@/store/location'
wepy.use(Vuex);

export default new Vuex.Store({
  modules: {
    user,
    task,
    carport,
    restaurant,
    wifi,
    location,
    home,
    meetingroom,
    company,
    portrait,
    officehome,
    previewImage
  },
  state: {},
  mutations: {},
  actions: {},
  getters: {}
});
